edu.isi.pegasus.planner.refiner

## Class AuthenticateEngine

- java.lang.Object
- - edu.isi.pegasus.planner.refiner.Engine
  - - edu.isi.pegasus.planner.refiner.AuthenticateEngine

    public class AuthenticateEngine
    extends Engine

It authenticates the user with the sites, that the user specifies at the execution time. It spawns out a thread for each pool that authenticates against the jobmanager for the vanilla universe as specified in the pool configuration file.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private java.util.Set` `mExecPools` The Set of pools that need to be authenticated against.

### Fields inherited from class edu.isi.pegasus.planner.refiner.Engine

`mBag, mLogger, mLogMsg, mOutputPool, mPoolFile, mPOptions, mProps, mRLIUrl, mSiteStore, mTCFile, mTCHandle, mTCMode, REGISTRATION_UNIVERSE, TRANSFER_UNIVERSE`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticateEngine(PegasusBag bag, java.util.Set pools)` The overloaded constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Set` `authenticate()` It returns a set of pools against which the user can authenticate to.
`static void` `main(java.lang.String[] args)` The main testing method.
`private void` `purgePools()` It removies from the list of pools the pool that was not authenticated against.

### Methods inherited from class edu.isi.pegasus.planner.refiner.Engine

`addVector, appendArrayList, complainForHeadNodeURLPrefix, complainForHeadNodeURLPrefix, loadProperties, printVector, stringInList, stringInPegVector, stringInVector, vectorToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mExecPools

    private java.util.Set mExecPools

The Set of pools that need to be authenticated against.

### Constructor Detail

#### AuthenticateEngine

    public AuthenticateEngine(PegasusBag bag,
                              java.util.Set pools)

The overloaded constructor.

Parameters:
  `bag` - the `PegasusBag` to be used.
  `pools` - The set of pools against which you want to authenticate the user.

### Method Detail

#### authenticate

    public java.util.Set authenticate()

It returns a set of pools against which the user can authenticate to.

Returns:
  the set of authenticated pools.

#### purgePools

    private void purgePools()

It removies from the list of pools the pool that was not authenticated against. It queries the soft state of the pool config to see if there are at least one jobmanager and gridftp server on the pool. Due to the authentication the unauthenticated jobmanagers and servers would have been removed from the soft state of the pool config.

#### main

    public static void main(java.lang.String[] args)

The main testing method.